'use strict';var wellKnownSymbol=require('./well-known-symbol-f1447879.js'),objectKeys=require('./object-keys-1798218f.js'),normalizeComponent=require('./normalize-component-a3a558e7.js');var $ = wellKnownSymbol._;
var toObject = wellKnownSymbol.t;
var nativeKeys = objectKeys.o;
var fails = normalizeComponent.f;

var FAILS_ON_PRIMITIVES = fails(function () { nativeKeys(1); });

// `Object.keys` method
// https://tc39.es/ecma262/#sec-object.keys
$({ target: 'Object', stat: true, forced: FAILS_ON_PRIMITIVES }, {
  keys: function keys(it) {
    return nativeKeys(toObject(it));
  }
});